<mat-card>
  <mat-card-content>
    <mat-card-title>Ajouter un Appareil</mat-card-title>
    <!--<mat-card-subtitle>Angular2 custom validation here is the
      <a href="https://github.com/yuyang041060120/ng2-validation" target="_blank">official site</a>
    </mat-card-subtitle>-->
    <form [formGroup]="form" (ngSubmit)="onSubmit()">

      <div fxLayout="row wrap">
        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Service</mat-label>
            <select matNativeControl required formControlName="service" placeholder="Service">
              <option value="médecine générale">médecine générale</option>
              <option value="immunologie">immunologie</option>
              <option value="radiologie">radiologie</option>
              <option value="chirurgie">chirurgie</option>
              <option value="neurologie">neurologie</option>
              <option value="pneumologie">pneumologie</option>
              <option value="cardiologie">cardiologie</option>
              <option value="odontologie">odontologie</option>
              <option value="dermatologie">dermatologie</option>
              <option value="service d'accueil de traitement des urgences">service d'accueil de traitement des urgences</option>
              <option value="traumatologie">traumatologie</option>
              <option value="médecine interne">médecine interne</option>
              <option value="endocrinologie">endocrinologie</option>
              <option value="anatomo-pathologie">anatomo-pathologie</option>
              <option value="gastro-entérologie">gastro-entérologie</option>
              <option value="urologie">urologie</option>
              <option value="pharmacie">pharmacie</option>
              <option value="maternité">maternité</option>
              <option value="pediatrie">pediatrie</option>
              <option value="service des grands brûlés">service des grands brûlés</option>
            </select>
          </mat-form-field>
          <mat-hint *ngIf="form.controls['service'].hasError('required') && form.controls['service'].touched" class="text-danger font-14">Vous devez selectionner un service.</mat-hint>
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Numéro</mat-label>
            <select matNativeControl required formControlName="number" placeholder="Numéro">
              <option value="0">choisir un numéro</option>
              <option *ngFor="let number of numbers" [value]="number">{{number}}</option>
            </select>
          </mat-form-field>
          <mat-hint *ngIf="form.controls['number'].hasError('required') && form.controls['number'].touched" class="text-danger font-14">Vous devez selectionner un numéro.</mat-hint>
        </div>



        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Etat</mat-label>
            <select matNativeControl required formControlName="status" placeholder="status">
              <option value="Libre">Libre</option>
              <option value="Attribué">Attribué</option>
              <option value="Maintenance">Maintenance</option>
            </select>
          </mat-form-field>
          <small *ngIf="form.controls['status'].hasError('required') && form.controls['status'].touched" class="text-danger font-14">Vous devez inclure l'état du dispositif'.</small>
        </div>




      </div>

      <mat-card-actions>
        <button mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Ajouter un Appareil</button>
      </mat-card-actions>
    </form>
  </mat-card-content>
</mat-card>
